diff --git a/doc/src/sgml/trigger.sgml b/doc/src/sgml/trigger.sgml
index a3f17c9..69430ea 100644
--- a/doc/src/sgml/trigger.sgml
+++ b/doc/src/sgml/trigger.sgml
@@ -581,7 +581,9 @@ trigf(PG_FUNCTION_ARGS)
 
     /* make sure it's called as a trigger at all */
     if (!CALLED_AS_TRIGGER(fcinfo))
-        elog(ERROR, "trigf: not called by trigger manager");
+        ereport(ERROR,
+                (error(TRIGGERED_DATA_CHANGE_VIOLATION),
+                 errmsg("trigf: not called by trigger manager")));
 
     /* tuple to return to executor */
     if (TRIGGER_FIRED_BY_UPDATE(trigdata-&gt;tg_event))
